package com.ruoyi.system.mapper.lawcase;

import com.ruoyi.system.domain.lawcase.CaseSimple;
import com.ruoyi.system.domain.lawcase.CaseSimpleExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface CaseSimpleMapper {
    long countByExample(CaseSimpleExample example);

    int deleteByExample(CaseSimpleExample example);

    int deleteByPrimaryKey(String id);

    int insert(CaseSimple record);

    int insertSelective(CaseSimple record);

    List<CaseSimple> selectByExample(CaseSimpleExample example);

    CaseSimple selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") CaseSimple record, @Param("example") CaseSimpleExample example);

    int updateByExample(@Param("record") CaseSimple record, @Param("example") CaseSimpleExample example);

    int updateByPrimaryKeySelective(CaseSimple record);

    int updateByPrimaryKey(CaseSimple record);

    // 塔集大屏接口执法左下角的--每月总案件数按照分类统计
    List<Map<String, Integer>> countByType();

    // 每月简易案件总案件数
    List<Map<String, Integer>> countByMonth();
}